    COLOR 15,1
    CLS
    PRINT STRING$(80,"=");
    PRINT "This program is of particular interest to you if you are designing"
    PRINT "an antenna system for an amateur or a commercial installation."
    PRINT "You will be able to compare various combinations of antenna/"
    PRINT "feedline types to obtain the most practical effective radiated"
    PRINT "power for the type of antenna or feedline in progam A."
    PRINT "Program B allows you to determine how much loss in DB can be"
    PRINT "allowed for a particular effective radiated power output."
    PRINT STRING$(80,"=");
    INPUT "Do you want to run program A OR B";A$
    CLS
    PRINT STRING$(80,"=");
    IF A$="B" OR A$="b" THEN GOTO PGMB
START:
    PRINT "This program computes the effective radiated power"
    PRINT :
    PRINT "as well as the feedline loss of any transmitter-"
    PRINT
    PRINT "antenna system. Based on transmitter output power,"
    PRINT
    PRINT "feedline and antenna efficiency"
    PRINT STRING$(80,"=");
    PRINT
    PRINT
    INPUT "Do you need instructions";A$
    IF LEFT$(A$,1)="Y" OR LEFT$(A$,1)="y" THEN GOTO INSTRUCTIONS
    GOSUB COAXTABLE
RESTART:
    CLS
    INPUT "What is the transmitter output power";XMITTERPOWER
    PRINT
    PRINT
    INPUT "How many feet of feedline do you plan to use";FEEDLINELENGTH
    IF LINELOSS<>0 THEN GOTO GETGAIN
    PRINT
    PRINT
    INPUT "What is the loss in DB per 100 Ft. of feedline";LINELOSS
GETGAIN:
    PRINT:PRINT:INPUT "What is the gain of your antenna system in DB (if unity gain, ENTER 0)";ANTENNAGAIN
    ' CALCULATE TOTAL LOSS
    L=FEEDLINELENGTH/100*LINELOSS
    DBCABLELOSS=L
    GOSUB CALCLOSS
    POWERTOANTENNA=P1
    ' CALC ERP AFTER DETERMINING HOW MUCH POWER GOES TO ANT
    POWERLOSSOFCABLE=XMITTERPOWER-P1
    L=ANTENNAGAIN
    GOSUB CALCLOSS
    CLS
    PRINT "Transmitter output power......................";XMITTERPOWER;"Watts
    PRINT
    PRINT "Feedline length...............................";FEEDLINELENGTH;"Feet"
    PRINT
    PRINT "Loss per 100 Ft...............................";LINELOSS;"Decibels"
    PRINT
    PRINT "db loss of entire cable run...................";DBCABLELOSS;"Decibels"
    PRINT
    PRINT "Power loss of entire cable run................";POWERLOSSOFCABLE;"Watts"
    PRINT
    PRINT "Power delivered to antenna....................";POWERTOANTENNA;"Watts"
    PRINT
    PRINT "Effective radiated power......................";E;"WATTS
    PRINT
    LINELOSS=0
    INPUT "Do you want another calculation";A$
    IF LEFT$(A$,1)="Y" OR LEFT$(A$,1)="y" THEN GOSUB COAXTABLE:GOTO RESTART
    GOTO FINISH
INSTRUCTIONS:
    CLS
    PRINT STRING$(80,"=");
    PRINT "You will be asked to enter various operating parameters"
    PRINT "of your proposed transmitting system. These will be
    PRINT "transmitter output power, length of feedline, feedline
    PRINT "loss at operating frequency in db per 100 Ft., and antenna"
    PRINT "gain in db."
    PRINT "Enter All frequencies in MHz. For your convenience, an abbreviat-"
    PRINT "ed table of more common coax types and losses is given."
    PRINT "Use this table, or any similar table for"
    PRINT "your calculations.  An option which allows you to determine the"
    PRINT "value from the table is also included"
    PRINT STRING$(80,"=");
    PRINT
    PRINT
    INPUT "Press <ENTER> to continue......";A$
    GOSUB COAXTABLE
    GOTO RESTART
COAXTABLE:
    CLS
    PRINT "Losses in db of commonly used coaxial cable in db per 100 Ft."
    PRINT
    PRINT
    GOSUB TABLE1
    GOTO NEEDINTER
TABLE1:
    PRINT "TYPE      1 MHz     10 MHz   100 MHz    400 MHz   1000 MHz"
    PRINT "RG-8       .16       .55     2.0         4.5       8.5"
    PRINT "RG-11      .18       .62     2.2         4.7       8.5"
    PRINT "RG-17      .06       .24      .95        2.4       4.4"
    PRINT "RG-58      .38      1.4      5.2        11.2      20.0"
    PRINT "RG-59      .30      1.1      3.8         8.5      14.0"
    RETURN
NEEDINTER:
    PRINT
    PRINT "Values for other frequencies may be obtained by interpolation."
    INPUT "Do you need to interpolate from the table";A$
    IF LEFT$(A$,1)="Y" OR LEFT$(A$,1)="y" THEN GOSUB INTERPOLATE
    RETURN
CALCLOSS:
    ' CALC ACTUAL LOSS FROM DB VALUES
    ' 1ST OBTAIN LOG FROM DB BY DIV/10
    L=L/10
    ' ANTILOG OF L
    AL=10^L
    P1=XMITTERPOWER/AL
    E=AL*POWERTOANTENNA
    RETURN
INTERPOLATE:
    ' INTERPOLATION ROUTINE
    CLS
    PRINT
    PRINT
    INPUT "What is operating frequency";OF
    CLS
    GOSUB TABLE1
    INPUT "What is closest frequency below operating frequency listed in table";LF
    INPUT "What is the next higher frequency listed";HF
    INPUT "Give loss at next lower frequency";DBCABLELOSS
    INPUT "Give loss at next higher frequency";L2
    FD=HF-LF
    LD=L2-DBCABLELOSS
    OD=OF-LF
    OL=OD*LD/FD
    LINELOSS=OL+DBCABLELOSS
    PRINT
    PRINT "Loss of transmission line at";OF;"MHz IS";LINELOSS;"db/100 Ft."
    INPUT"Press <ENTER> to continue............";XX$
    CLS
    RETURN
FINISH:
    GOTO BYE
PGMB:
    PRINT " The first part of this section allows you to enter the trans-":PRINT"mitter output power and the effective radiated power you desire.":PRINT"YOU WILL THEN GET THE GAIN NEEDED TO OBTAIN THIS ERP."
    PRINT"In the second part, you will enter the power that you
    PRINT STRING$(80,"=");
    INPUT "Do you want to find required system gain (1) or maximum allowable feedline loss (2)";T
    INPUT "What is your transmitter power output power";P1
    IF T=2 THEN GOTO GETPOWER
    INPUT "What is your desired effective radiated power";E
    GOSUB CALCPOWER
    GOTO PRINTGAIN
CALCPOWER:
    EL=E/P1
    D=10*(LOG(EL)/LOG(10))
    RETURN
PRINTGAIN:
    CLS
    PRINT "The required gain of your system is";D;"DB."
    GOTO RUNAGAIN
GETPOWER:
    E=0:INPUT "How much power do you expect to deliver to the antenna";E
    GOSUB CALCPOWER
    CLS
    PRINT "The maximum allowable feedline loss to maintain";E;"Watts to"
    PRINT"the antenna with a transmitter power output of";P1;"is";D;"db."
RUNAGAIN:
    PRINT
    PRINT
    PRINT
    PRINT
    PRINT
    INPUT "Do you want to run the (1) ERP program or(2) The maximum loss program or (3) terminate this session";W
    CLS
    PRINT STRING$(80,"=");
    ON W GOTO START,PGMB,BYE
BYE:
    PRINT STRING$(80,"=");
    PRINT
    PRINT
    PRINT
    PRINT "*******************   B Y E   *********************"
    PRINT
    PRINT
    PRINT
    PRINT
    PRINT STRING$(80,"=");
    END
